- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
ecore::animator Struct Reference

## Public Member Functions
| animator (Eo *eo)
| Eo Constructor. More...
| animator (std::nullptr_t)
| nullptr_t Constructor. More...
template<typename F >
| animator (double runtime_, F &&func_, efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Constructor. More...
template<typename F >
| animator (F &&func_, efl::eo::parent_type _p=(efl::eo::parent=nullptr))
| Constructor. More...
| animator (animator const &other)
| Copy Constructor.
void | event_freeze () const
| freeze events of object. More...
void | event_thaw () const
| thaw events of object. More...
Public Member Functions inherited from efl::eo::base
| base (Eo *eo)
| Class constructor. More...
| ~base ()
| Class destructor.
| base (base const &other)
| base (base &&other)
base & | operator= (base const &other)
| Assignment operator.
base & | operator= (base &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this wrapper object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (base parent)
| Set the parent of this object. More...
eina::optional< base > | parent_get ()
| Get the parent of this object. More...
void | base_data_set (const char *key, const void *data,::eo_key_data_free_func func)
| Set generic data to object. More...
void * | base_data_get (const char *key)
| Get generic data from object. More...
void | base_data_del (const char *key)
| Delete generic data from object. More...
void | event_freeze ()
| Freeze any event directed to this object. More...
void | event_thaw ()
| Thaw the events of this object. More...
int | event_freeze_get ()
| Get the event freeze count for this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::base
Eo * | _eo_raw
| The opaque EO Object.

## Constructor & Destructor Documentation

ecore::animator::animator | ( | Eo * | eo | ) |
| inline explicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

ecore::animator::animator | ( | std::nullptr_t |  | ) |
| inline explicit

nullptr_t Constructor.

Constructs an empty (null) object.

template<typename F >

ecore::animator::animator | ( | double | runtime_,
|  | F && | func_,
|  | efl::eo::parent_type | _p = `(efl::eo::parent = nullptr)`
| ) |  |
| inline

Constructor.

Parameters

  runtime |
  func |
  data |

template<typename F >

ecore::animator::animator | ( | F && | func_,
|  | efl::eo::parent_type | _p = `(efl::eo::parent = nullptr)`
| ) |  |
| inline

Constructor.

Parameters

  func |
  data |

## Member Function Documentation

void ecore::animator::event_freeze | ( |  | ) | const
| inline

freeze events of object.

Prevents event callbacks from being called for the object.

References efl::eo::base::_eo_ptr().

void ecore::animator::event_thaw | ( |  | ) | const
| inline

thaw events of object.

Lets event callbacks be called for the object.

References efl::eo::base::_eo_ptr().